<?php
	// Start session.
	session_start();
	
	// Set a key, checked in mailer, prevents against spammers trying to hijack the mailer.
	$security_token = $_SESSION['security_token'] = uniqid(rand());
	
	if ( ! isset($_SESSION['formMessage'])) {
		$_SESSION['formMessage'] = '<h1>Contact Us</h1><br />To order, enquire or submit a testimonial, please contact:<br /><br /><h2>John Grullis</h2><br /><strong>Mobile</strong> | 0413 182 077<br /><strong>Fax</strong> | 08 9242 8533<br /><strong>Post</strong> | PO Box 221<br />MOUNT HAWTHORN WA 6915<br /><br /><strong>Email</strong> | Please fill in the form below to send John an email.';	
	}
	
	if ( ! isset($_SESSION['formFooter'])) {
		$_SESSION['formFooter'] = '';
	}
	
	if ( ! isset($_SESSION['form'])) {
		$_SESSION['form'] = array();
	}
	
	function check($field, $type = '', $value = '') {
		$string = "";
		if (isset($_SESSION['form'][$field])) {
			switch($type) {
				case 'checkbox':
					$string = 'checked="checked"';
					break;
				case 'radio':
					if($_SESSION['form'][$field] === $value) {
						$string = 'checked="checked"';
					}
					break;
				case 'select':
					if($_SESSION['form'][$field] === $value) {
						$string = 'selected="selected"';
					}
					break;
				default:
					$string = $_SESSION['form'][$field];
			}
		}
		return $string;
	}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="PRIORITY" content="0.533898" />
		<meta name="description" content="Contact the Extralube ZX1 team to enquire about our friction elimination product that can be added to oil, fuel and other lubricants to dramatically reduce friction." />
		<meta name="generator" content="RapidWeaver" />
		<link rel="icon" href="http://www.zx1aust.com/favicon.ico" type="image/x-icon" />
		<link rel="shortcut icon" href="http://www.zx1aust.com/favicon.ico" type="image/x-icon" />
		<link rel="apple-touch-icon" href="http://www.zx1aust.com/apple-touch-icon.png" />
		
		<title>Extralube ZX1 | Contact Us</title>
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/styles.css"  />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/colourtag-page11.css"  />
		<link rel="stylesheet" type="text/css" media="print" href="../../rw_common/themes/d_scribe_2/print.css"  />
		<script type="text/javascript" src="../../rw_common/themes/d_scribe_2/javascript.js"></script>
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/background/strip3.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/title/medium.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/badge/straight.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/search/rapidsearch.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/nav/7tab.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/nav/30px.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/feature_image/image1.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/image_effect/right_70_shadow.css" />
		<script type="text/javascript" src="../../rw_common/themes/d_scribe_2/js/slideshow/2-5.js"></script>
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/header/helvetica.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/body/helvetica.css" />
		<link rel="stylesheet" type="text/css" media="screen" href="../../rw_common/themes/d_scribe_2/css/sidebar/right_dark.css" />
				
		<style type="text/css" media="all">#slide1{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header1.jpg);}
#slide2{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header2.jpg);}
#slide3{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header3.jpg);}
#slide4{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header4.jpg);}
#slide5{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header5.jpg);}
#slide6{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header6.jpg);}
#slide7{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header7.jpg);}
#slide8{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header8.jpg);}
#slide9{background-image: url(../../rw_common/themes/d_scribe_2/images/editable_images/slideshow/header9.jpg);}
* html #imageShadow{ display: none; }</style>
		
		
		<div id="myExtraContent1">
	<div id="slideshow">
		<div id="slide1" class="slide"></div>
		<div id="slide2" class="slide"></div>
		<div id="slide3" class="slide"></div>
		<div id="slide4" class="slide"></div>
		<div id="slide5" class="slide"></div>
		<div id="slide6" class="slide"></div>
		<div id="slide7" class="slide"></div>
		<div id="slide8" class="slide"></div>
		<div id="slide9" class="slide"></div>
	</div>
</div>
	</head>
	
<body>
	<div id="wrapperOuter">
		<div id="wrapperInner">
			<div id="container">
				<div id="titleLogo">
					<div id="logo"><a href="http://www.zx1aust.com/" title="Home"></a></div>
					<h1 class="title">Extralube ZX1</h1>
					<h2 class="slogan"><span id="blurb">Performance Driven Protection...  <font color="#999999">Contact us | Phone: 0413 182 077 | </font><a href="mailto:zx1aust@westnet.com.au"><font color="#999999">Email: Click here</font></a></span></h2>
				</div><!-- titleLogo -->
				
				<div id="badge">
					<div id="extraContainer2"></div>
					<div id="searchBox">
						<form class="googleSearch" action="http://www.google.com/search" method="get">
							<fieldset>
								<input class="searchHide" type="hidden" name="sitesearch" value="http://www.zx1aust.com/" />
								<input class="searchField" title="Google Search..." type="text" name="q" size="21" maxlength="255" value="" />
								<input class="image" type="image" src="../../rw_common/themes/d_scribe_2/images/search_icon_small.jpg"/>
							</fieldset>
						</form><!-- Google Search -->
						
						<form class="rapidSearch" action="http://www.zx1aust.com/search" method="get">
							<fieldset>
								<input type="hidden" value="utf-8" name="ie" />
								<input name="query" type="text" class="rapidSearchField" onfocus="if (this.value=='Search') this.value = ''" onclick ="if (this.value=='Search') this.value = ''" onblur="if (this.value=='') this.value = 'Search'" value="Search"/>
								<input class="image" type="image" src="../../rw_common/themes/d_scribe_2/images/search_icon_small.jpg"/>
							</fieldset>
						</form><!-- Rapidsearch -->
					</div><!-- searchBox -->
				</div><!-- badge -->
				
				<div id="topWrapper">
					<div id="toolbar" class="menu"><ul><li><a href="../../index.php" rel="self">Home</a></li><li><a href="../../benefits/index.php" rel="self">Benefits</a><ul><li><a href="../../benefits/videos/index.php" rel="self">Videos</a></li></ul></li><li><a href="../../testimonials/index.php" rel="self">Testimonials</a></li><li><a href="../../products/index.php" rel="self">Products</a><ul><li><a href="../../products/microoil/index.html" rel="self">ZX1 Micro Oil Metal Treatment</a></li><li><a href="../../products/supergrease/index.html" rel="self">Micro &micro; ZX1 Supergrease</a></li></ul></li><li><a href="../../gallery/index.php" rel="self">Gallery</a></li><li><a href="../../directions/index.html" rel="self">Directions</a><ul><li><a href="../../directions/faq/index.html" rel="self">FAQ</a></li></ul></li><li><a href="../../order/index.html" rel="self" class="currentAncestor">Order</a><ul><li><a href="index.php" rel="self" id="current">Contact Us</a></li></ul></li></ul></div>			
					<div id="featureImage">
						<!-- Replace this line with your BannerZest code and select "none" under Banner Effects. -->
						<div id="imageTint">
							<div id="extraContainer3"></div>
						</div>
						<div id="imageShadow"></div>
						<div id="extraContainer1">
						</div><!-- extraContainer 1 -->
					</div><!-- featureImage -->
				</div><!-- topWrapper -->
					
				<div id="top"></div>
				<div id="contentWrapper">
					<div id="contentBackgroundX">
						<div id="contentBackground">
							<div id="contentContainer">
								<div id="padding">
									
<div class="message-text"><?php echo $_SESSION['formMessage']; unset($_SESSION['formMessage']); ?></div><br />

<form action="./files/mailer.php" method="post" enctype="multipart/form-data">
	 <div>
		<label>Your Name:</label> *<br />
		<input class="form-input-field" type="text" value="<?php echo check('element0'); ?>" name="form[element0]" size="40"/><br /><br />

		<label>Your Email:</label> *<br />
		<input class="form-input-field" type="text" value="<?php echo check('element1'); ?>" name="form[element1]" size="40"/><br /><br />

		<label>Subject:</label> *<br />
		<input class="form-input-field" type="text" value="<?php echo check('element2'); ?>" name="form[element2]" size="40"/><br /><br />

		<label>Message:</label> *<br />
		<textarea class="form-input-field" name="form[element3]" rows="8" cols="38"><?php echo check('element3'); ?></textarea><br /><br />

		<label>Attachment:</label> <br />
		<input type="file" name="element4" /><br /><br />

		<div style="display: none;">
			<label>Spam Protection: Please don't fill this in:</label>
			<textarea name="comment" rows="1" cols="1"></textarea>
		</div>
		<input type="hidden" name="form_token" value="<?php echo $security_token; ?>" />
		<input class="form-input-button" type="reset" name="resetButton" value="Reset" />
		<input class="form-input-button" type="submit" name="submitButton" value="Submit" />
	</div>
</form>

<br />
<div class="form-footer"><?php echo $_SESSION['formFooter']; unset($_SESSION['formFooter']); ?></div><br />

<?php unset($_SESSION['form']); ?>
								</div><!-- padding -->
							</div><!-- contentContainer -->
					
							<div id="sidebarContainer">
								<h2 id="sideTitle"></h2>
								<div id="myExtraContent2"><br /><iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.zx1aust.com%2F&amp;layout=standard&amp;show_faces=false&amp;width=200&amp;action=like&amp;colorscheme=dark&amp;height=35" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:200px; height:35px;" allowTransparency="true"></iframe></div><br /><div id="myExtraContent3"><h1>Performance Driven Protection.</h1><br /><p>Used in race cars, heavy machinery, offshore drilling, road cars and more.</p><br /><p>If you operate a machine that suffers friction, ZX1 can help you do it more economically.</p></div><img class="imageStyle" alt="john" width="190" height="178" src="files/page11_sidebar-john.png" />
								
							</div><!-- sidebarContainer -->
					
						<div class="clear"></div>
						</div><!-- contentBackground -->
					</div><!-- contentBackgroundX -->
			
					<div id="bottomInfo">
						<div id="breadcrumb"></div>
						<div id="footerInfo">&copy; 2009 Mumbo Media <a href="#" id="rw_email_contact">Contact Designer</a><script type="text/javascript">var _rwObsfuscatedHref0 = "mai";var _rwObsfuscatedHref1 = "lto";var _rwObsfuscatedHref2 = ":sa";var _rwObsfuscatedHref3 = "mda";var _rwObsfuscatedHref4 = "le1";var _rwObsfuscatedHref5 = "@op";var _rwObsfuscatedHref6 = "tus";var _rwObsfuscatedHref7 = "net";var _rwObsfuscatedHref8 = ".co";var _rwObsfuscatedHref9 = "m.a";var _rwObsfuscatedHref10 = "u";var _rwObsfuscatedHref = _rwObsfuscatedHref0+_rwObsfuscatedHref1+_rwObsfuscatedHref2+_rwObsfuscatedHref3+_rwObsfuscatedHref4+_rwObsfuscatedHref5+_rwObsfuscatedHref6+_rwObsfuscatedHref7+_rwObsfuscatedHref8+_rwObsfuscatedHref9+_rwObsfuscatedHref10; document.getElementById('rw_email_contact').href = _rwObsfuscatedHref;</script></div>
					</div><!-- bottomInfo -->
				</div><!-- contentWrapper -->
				<div id="footer"></div>
			</div><!-- container -->
		</div><!-- wrapperInner -->
	</div><!-- wrapperOuter -->
	<!--[if lt IE 7]><script type="text/javascript" src="../../rw_common/themes/d_scribe_2/js/ie6.js"></script><![endif]-->
<!-- Woopra Code Start -->
	<script type="text/javascript">
		var _wh = ((document.location.protocol=='https:') ? "https://sec1.woopra.com" : "http://static.woopra.com");
		document.write(unescape("%3Cscript src='" + _wh + "/js/woopra.js' type='text/javascript'%3E%3C/script%3E"));
	</script>
<!-- Woopra Code End -->
</body>
</html>